%define version 0.10.36
%define release %mkrel 2
%define         _glib2          2.15.5
%define major 0.10
%define majorminor 0.10
%define bname gstreamer0.10
%define name %bname-plugins-base
%define libname %mklibname gstreamer-plugins-base %major
%define gstver 0.10.35
%define build_libvisual 1

Summary: 	GStreamer Streaming-media framework plug-ins
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Sound
Source: 	http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.xz
Patch0:		align.patch
Patch0001:	0001-audioresample-Fix-build-on-x86-if-emmintrin.h-is-ava.patch
Patch0002:	0002-audioresample-It-s-HAVE_EMMINTRIN_H-not-HAVE_XMMINTR.patch
Patch0010:        audiodecoder-don-t-discard-timestamps-when-consecuti.patch
URL:            http://gstreamer.freedesktop.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
Provides:	%bname-plugin-libs
Obsoletes:	%bname-plugin-libs
#-----------------------------------------------------------------------
BuildRequires:  nasm
BuildRequires:	gtk-doc
BuildRequires:	fonts-ttf-dejavu
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cdda-devel 
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gnome-vfs2-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}orc-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}visual-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: libtheora-devel
#-----------------------------------------------------------------------

Provides:	%bname-audiosrc
Provides:	%bname-audiosink

Provides:	%bname-alsa
Obsoletes: %bname-alsa

Provides: %bname-plugins
Obsoletes: %bname-plugins

Provides:	%bname-vorbis = %version-%release
Obsoletes: %bname-vorbis

Provides:	%bname-x11 = %version-%release
Obsoletes: %bname-x11

Obsoletes: %bname-cdparanoia
Obsoletes: %bname-gnomevfs
Obsoletes: %bname-libvisual

Provides:	%bname-cdparanoia = %version-%release
Provides:	%bname-gnomevfs = %version-%release
Provides:	%bname-libvisual = %version-%release

Obsoletes: %name < %version

Requires:	glibc >= 2.20

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of reference plugins, base classes for other
plugins, and helper libraries:
 * device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
 * containers: ogg
 * codecs: vorbis, theora
 * text: textoverlay, subparse
 * sources: audiotestsrc, videotestsrc, gnomevfssrc
 * network: tcp
 * typefind
 * audio processing: audioconvert, adder, audiorate, audioscale, volume
 * visualisation: libvisual
 * video processing: ffmpegcolorspace
 * aggregate elements: decodebin, playbin

%prep
%setup -q -n gst-plugins-base-%{version}
%apply_patches

%build
%configure2_5x --disable-dependency-tracking \
	--enable-libvisual --enable-gio  --enable-introspection=yes

%make

%install
rm -rf %buildroot gst-plugins-base-%majorminor.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gst-plugins-base-%majorminor
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files -f gst-plugins-base-%majorminor.lang
%defattr(-, root, root)
%{_bindir}/gst-visualise-%majorminor
%{_bindir}/gst-discoverer-%majorminor
%{_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.so
%_libdir/gstreamer-%majorminor/libgstapp.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudioresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin.so
%{_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdp.so
%{_libdir}/gstreamer-%{majorminor}/libgstgio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpango.so
%{_libdir}/gstreamer-%{majorminor}/libgstplaybin.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubparse.so
%{_libdir}/gstreamer-%{majorminor}/libgsttcp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvolume.so
%{_libdir}/gstreamer-%{majorminor}/libgstadder.so
%{_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgsttheora.so
%{_libdir}/gstreamer-%{majorminor}/libgstogg.so

%{_libdir}/gstreamer-%{majorminor}/libgstxvimagesink.so

%{_libdir}/gstreamer-%{majorminor}/libgstvideorate.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoscale.so
%{_libdir}/gstreamer-%{majorminor}/libgstvorbis.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesink.so
%{_libdir}/gstreamer-%{majorminor}/libgstalsa.so
%{_libdir}/gstreamer-%{majorminor}/libgstencodebin.so

%{_libdir}/gstreamer-%{majorminor}/libgstgnomevfs.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{majorminor}/libgstlibvisual.so


%package -n %libname
Group: 		System/Libraries
Summary: 	GStreamer plugin libraries

%description -n %libname
This package contain the basic audio and video playback library and
the interfaces library.

%files -n %libname
%defattr(-, root, root)
%_libdir/libgstaudio-%majorminor.so.0*
%_libdir/libgstapp-%majorminor.so.0*
%_libdir/libgstcdda-%majorminor.so.0*
%_libdir/libgstfft-%majorminor.so.0*
%_libdir/libgstinterfaces-%majorminor.so.0*
%_libdir/libgstnetbuffer-%majorminor.so.0*
%_libdir/libgstpbutils-%majorminor.so.0*
%_libdir/libgstriff-%majorminor.so.0*
%_libdir/libgstrtp-%majorminor.so.0*
%_libdir/libgstrtsp-%majorminor.so.0*
%_libdir/libgsttag-%majorminor.so.0*
%_libdir/libgstsdp-%majorminor.so.0*
%_libdir/libgstvideo-%majorminor.so.0*
%{_libdir}/girepository-1.0/*.typelib



%package -n %libname-devel
Summary: 	GStreamer Plugin Library Headers
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}
Requires:	%libname = %version
Requires:	%name = %version
Requires:	libgstreamer-devel >= %gstver
Provides:	libgstreamer-plugins-base-devel = %version-%release
Provides:	libgstreamer%majorminor-plugins-base-devel = %version-%release

%description -n %libname-devel
GStreamer support libraries header files.

%files -n %libname-devel
%defattr(-, root, root)
%_includedir/gstreamer-%majorminor/gst/app/
%{_includedir}/gstreamer-%{majorminor}/gst/audio
%{_includedir}/gstreamer-%{majorminor}/gst/cdda/
%{_includedir}/gstreamer-%{majorminor}/gst/fft
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces
%{_includedir}/gstreamer-%{majorminor}/gst/netbuffer
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils
%{_includedir}/gstreamer-%{majorminor}/gst/riff
%{_includedir}/gstreamer-%{majorminor}/gst/rtsp
%{_includedir}/gstreamer-%{majorminor}/gst/sdp
%{_includedir}/gstreamer-%{majorminor}/gst/tag/
%{_includedir}/gstreamer-%{majorminor}/gst/video/
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/
%{_includedir}/gstreamer-%{majorminor}/gst/rtp
%{_libdir}/pkgconfig/gstreamer-app-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-audio-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-cdda-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-fft-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-floatcast-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-interfaces-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-netbuffer-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-pbutils-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-plugins-base-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-riff-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-rtp-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-rtsp-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-sdp-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-tag-%majorminor.pc
%{_libdir}/pkgconfig/gstreamer-video-%majorminor.pc
%_libdir/libgstaudio-%majorminor.so
%_libdir/libgstapp-%majorminor.so
%_libdir/libgstcdda-%majorminor.so
%_libdir/libgstfft-%majorminor.so
%_libdir/libgstinterfaces-%majorminor.so
%_libdir/libgstnetbuffer-%majorminor.so
%_libdir/libgstpbutils-%majorminor.so
%_libdir/libgstriff-%majorminor.so
%_libdir/libgstrtp-%majorminor.so
%_libdir/libgstrtsp-%majorminor.so
%_libdir/libgsttag-%majorminor.so
%_libdir/libgstsdp-%majorminor.so
%_libdir/libgstvideo-%majorminor.so
%{_datadir}/gst-plugins-base/license-translations.dict
%{_datadir}/gir-1.0/*.gir


%package -n %bname-plugins-base-doc
Summary: Doc files for GStreamer
Group: Documentation

%description -n %bname-plugins-base-doc
Documentation files for GStreamer.

%files -n %bname-plugins-base-doc
%defattr(-, root, root)
%doc docs/libs/html docs/plugins/html
%_datadir/gtk-doc/html/*
%doc AUTHORS COPYING README NEWS
%{_mandir}/man1/gst-visualise-%majorminor.1*

%changelog
* Thu Feb 19 2015 bb <bb> 0.10.36-2pclos2015
- rebuild new glibc
- obsolete subpackages and merge into main pkg

* Thu Aug 08 2013 Texstar <texstar at gmail.com> 0.10.36-1pclos2013
- update

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 0.10.35-2pclos2011
- add back introspection

